Subject: Re: [Bitcoin-development] Payment Protocol: BIP 70, 71, 72

From: E willbefull <[email-masked]>
Date: Wed, 31 Jul 2013 17:52:40 -0600

P2SH addresses support exotic transaction outputs, but not all exotic
transactions. This payment protocol can allow for combining multiple
outputs. A PaymentRequest for sending money to multiple parties, for
example, could not fall back to a single address.

On Wed, Jul 31, 2013 at 5:38 PM, Gavin Andresen <[email-masked]>wrote:

> On Thu, Aug 1, 2013 at 9:30 AM, E willbefull <[email-masked]>
> wrote:
> > I think it's important to expect PaymentRequest-only bitcoin URIs in the
> > future. Some types of payments (exotic transactions) may not make sense
> to
> > have a single fallback address.
>
> P2SH addresses already support all exotic transactions.
>
> > Or, a page with a bitcoin URI link may be
> > relying on a separate service provider to assemble the transaction.
>
> Do you mean assemble the PaymentRequest message?  Because the payment
> transaction will always be created by the customer's wallet software.
>
> IF PaymentRequests take over the world and we get 100% wallet software
> support, then I'd be happy to write another BIP that says that a
> bitcoin: URI can be just bitcoin:?request=http...
>
> --
> --
> Gavin Andresen
>